Public Member Functions | Public Attributes | Private Member Functions | List of all members
WPS8TextInternal::SubDocument Class Referencefinal

Internal: the subdocument of a WPS8Text. More...

Inheritance diagram for WPS8TextInternal::SubDocument:

## Public Member Functions
| SubDocument (RVNGInputStreamPtr const &input, WPS8Text &pars, WPSEntry const &entry)
| constructor for a note/endnote entry More...
| SubDocument (RVNGInputStreamPtr const &input, librevenge::RVNGString const &text)
| constructor for a comment entry More...
| ~SubDocument () final
| destructor More...
bool | operator== (WPSSubDocumentPtr const &doc) const final
| operator== More...
void | parse (WPSContentListenerPtr &listener, libwps::SubDocumentType type) final
| the parser function More...
Public Member Functions inherited from WPSTextSubDocument
| WPSTextSubDocument (RVNGInputStreamPtr const &input, WPSParser *parser, int id=0)
| constructor More...
| ~WPSTextSubDocument () override
| destructor More...
RVNGInputStreamPtr const & | getInput ()
| returns the input More...
WPSParser * | parser () const
| returns the parser More...
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator = More...
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes
WPS8Text * | m_textParser
WPSEntry | m_entry
librevenge::RVNGString | m_text

## Private Member Functions
| SubDocument (SubDocument const &)=delete
SubDocument & | operator= (SubDocument const &)=delete

## Additional Inherited Members
Protected Attributes inherited from WPSTextSubDocument
WPSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Detailed Description

Internal: the subdocument of a WPS8Text.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

WPS8TextInternal::SubDocument::SubDocument | ( | RVNGInputStreamPtr const & | input,
|  | WPS8Text & | pars,
|  | WPSEntry const & | entry
| ) |  |
| inline

constructor for a note/endnote entry

## ◆ SubDocument() [2/3]

WPS8TextInternal::SubDocument::SubDocument | ( | RVNGInputStreamPtr const & | input,
|  | librevenge::RVNGString const & | text
| ) |  |
| inline

constructor for a comment entry

## ◆ ~SubDocument()

WPS8TextInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## ◆ SubDocument() [3/3]

WPS8TextInternal::SubDocument::SubDocument | ( | SubDocument const & |  | ) |
| private delete

## Member Function Documentation

## ◆ operator=()

SubDocument& WPS8TextInternal::SubDocument::operator= | ( | SubDocument const & |  | ) |
| private delete

## ◆ operator==()

bool WPS8TextInternal::SubDocument::operator== | ( | WPSSubDocumentPtr const & | doc | ) | const
| inline final virtual

operator==

Reimplemented from WPSSubDocument.

## ◆ parse()

void WPS8TextInternal::SubDocument::parse | ( | WPSContentListenerPtr & | listener,
|  | libwps::SubDocumentType | type
| ) |  |
| final virtual

the parser function

Implements WPSTextSubDocument.

## Member Data Documentation

## ◆ m_entry

WPSEntry WPS8TextInternal::SubDocument::m_entry

Referenced by operator==(), and parse().

## ◆ m_text

librevenge::RVNGString WPS8TextInternal::SubDocument::m_text

Referenced by operator==(), and parse().

## ◆ m_textParser

WPS8Text* WPS8TextInternal::SubDocument::m_textParser

Referenced by operator==(), and parse().

The documentation for this class was generated from the following file:

- WPS8Text.cpp